<<< Previous | Home | Next >>>

The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008
Copyright © 2001-2008 The IEEE and The Open Group

#### NAME

> clog, clogf, clogl - complex natural logarithm functions

#### SYNOPSIS

> ``#include <complex.h>
> double complex clog(double complex` z`);
> float complex clogf(float complex` z`);
> long double complex clogl(long double complex` z`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> These functions shall compute the complex natural (base e) logarithm of z, with a branch cut along the negative real axis.

#### RETURN VALUE

> These functions shall return the complex natural logarithm value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i, +i] along the imaginary axis.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> cexp

> XBD <complex.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2008 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]

<<< Previous | Home | Next >>>